Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezdomdocument.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezdomdocument.php 8837 2001-12-21 15:37:48Z bf $
5 //
6 // Definition of eZDOMDocument class
7 //
8 // Created on: <16-Nov-2001 12:18:23 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 // Copyright (C) 1999-2000 eZ systems as
12 //
13 // This program is free software; you can redistribute it and/or
14 // modify it under the terms of the GNU General Public License
15 // as published by the Free Software Foundation; either version 2
16 // of the License, or (at your option) any later version.
17 //
18 // This program is distributed in the hope that it will be useful,
19 // but WITHOUT ANY WARRANTY; without even the implied warranty of
20 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
21 // GNU General Public License for more details.
22 //
23 // You should have received a copy of the GNU General Public License
24 // along with this program; if not, write to the Free Software
25 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
26 //
27
30
34 class eZDOMDocument
35 {
38 function __construct( )
39 {
40 // $this->children = array();
41 }
42
46 function &toString()
47 {
48 $ret = "<?xml version=\"1.0\"?>";
49
50 if ( count( $this->children ) > 0 )
51 foreach ( $this->children as $child )
52 {
53 $ret .= $child->toString();
54 }
55
56 return $ret;
57 }
58
59
61 var $version;
62
63 var $standalone;
64 var $type;
65 var $children;
66 var $root;
67 }
68
69 ?>
eZDOMDocument
Definition: ezdomdocument.php:35
eZDOMDocument\$children
$children
Definition: ezdomdocument.php:65
eZDOMDocument\__construct
__construct()
Definition: ezdomdocument.php:38
eZDOMDocument\toString
& toString()
Definition: ezdomdocument.php:46
eZDOMDocument\$standalone
$standalone
Definition: ezdomdocument.php:63
eZDOMDocument\$version
$version
XML version.
Definition: ezdomdocument.php:61
eZDOMDocument\$type
$type
Definition: ezdomdocument.php:64
eZDOMDocument\$root
$root
Definition: ezdomdocument.php:66
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.